public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/automat/
Date: Mon,  2 Jul 2018 02:12:37 +0000 (UTC)	[thread overview]
Message-ID: <1530497544.51e5d56a7aa25ee9e0065006c25788f705851f16.dolsen@gentoo> (raw)

commit:     51e5d56a7aa25ee9e0065006c25788f705851f16
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 27 15:37:31 2018 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Mon Jul  2 02:12:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51e5d56a

dev-python/automat: Version bump

Package-Manager: Portage-2.3.40, Repoman-2.3.9

Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>

 dev-python/automat/Manifest             |  1 +
 dev-python/automat/automat-0.7.0.ebuild | 58 +++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/automat/Manifest b/dev-python/automat/Manifest
index 055496074c2..af99aefb7a7 100644
--- a/dev-python/automat/Manifest
+++ b/dev-python/automat/Manifest
@@ -1,2 +1,3 @@
 DIST Automat-0.5.0.tar.gz 32599 BLAKE2B 951da8840c2334fe3cd86804b39beedaad0d344d66742e8bb72e2d2ace2029b037acac8ffccc5643fd37f81020a567374a25ed42f7bc386770a30956464f52eb SHA512 7b4fc64e1b3cc514e3513c4be7387309a9e0c6d59ef091131404642b517a324b4a0eb677bee99da038664bd6713f2d2078c621f056e98b35966caf324741eeeb
 DIST Automat-0.6.0.tar.gz 31767 BLAKE2B 28baa9d6cc7497f9c0a4b7f4050b197d3dff871b91f5f3e29bdc47ace443af8de0fbeacf1657dc6565b3ab824365362a42204d6d89a8dfc82eaa6cd92d4e2308 SHA512 94f2fa06b0e0e1c0538bcf4bd9046ea40600a018bdd1da2d5bed479877807ad56e448c4f1d7ec87341f80013ae6c35b01201cbe3c4ecae1105419038ed43024d
+DIST Automat-0.7.0.tar.gz 61461 BLAKE2B dd09ce090c7333ee17b701bde2c78e01dacf40cefee847061a2019bb27f0982091e7628737211421ada351937caf9c6734cb445ee6462ce84b381030b013bd05 SHA512 a6f307d312a3ceb721071b5212297c73d2306894b5fafd39265578041a2859bd6f041ac43a654bdda4175a70a4e90e0db1ee35cd43fa620cd5c594b5d1988a74

diff --git a/dev-python/automat/automat-0.7.0.ebuild b/dev-python/automat/automat-0.7.0.ebuild
new file mode 100644
index 00000000000..9671b0f1117
--- /dev/null
+++ b/dev-python/automat/automat-0.7.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy)
+
+inherit distutils-r1
+
+MYPN="Automat"
+MYP="${MYPN}-${PV}"
+
+DESCRIPTION="Self-service finite-state machines for the programmer on the go"
+HOMEPAGE="https://github.com/glyph/automat https://pypi.org/project/Automat/"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd"
+IUSE="examples test"
+
+RDEPEND="
+	dev-python/attrs[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+	dev-python/m2r[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+S=${WORKDIR}/${MYP}
+
+python_prepare_all() {
+	if use test ; then
+		# Remove since this is upstream benchmarking tests
+		rm -r benchmark || die "FAILED to remove benchmark tests"
+	fi
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	PYTHONPATH="${S}/test:${BUILD_DIR}/lib" py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+src_install() {
+	if use examples; then
+		docinto examples
+		dodoc docs/examples/*.py
+	fi
+	distutils-r1_src_install
+}
+
+pkg_postinst() {
+	einfo "For additional visualization functionality install these optional dependencies"
+	einfo "    >=dev-python/twisted-16.1.1"
+	einfo "    media-gfx/graphviz[python]"
+}


             reply	other threads:[~2018-07-02  2:12 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-02  2:12 Brian Dolbec [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 12:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/automat/ Michał Górny
2024-09-07 10:56 Michał Górny
2024-09-07 10:38 Arthur Zamarin
2024-08-20  1:43 Michał Górny
2024-08-18  6:04 Michał Górny
2023-05-27 15:42 Sam James
2023-03-16 18:13 Michał Górny
2022-11-29  7:25 Arthur Zamarin
2022-10-30  6:39 Michał Górny
2022-06-13  9:46 Agostino Sarubbo
2022-06-03  9:12 Michał Górny
2022-05-26  9:17 Michał Górny
2022-05-26  9:17 Michał Górny
2022-05-25  4:43 Michał Górny
2022-05-12 13:36 Michał Górny
2022-01-27 22:56 James Le Cuirot
2021-05-18 11:40 Michał Górny
2020-11-28 11:43 Sam James
2020-08-04 12:01 Michał Górny
2020-07-08 13:08 Michał Górny
2020-07-08 13:08 Michał Górny
2020-07-08  7:18 Sergei Trofimovich
2020-07-08  7:11 Sergei Trofimovich
2020-05-27 12:45 Michał Górny
2020-05-27  8:38 Michał Górny
2020-05-06 18:45 Mikle Kolyada
2020-05-06 14:28 Mikle Kolyada
2020-04-15  5:54 Mike Gilbert
2020-04-06 17:54 Sergei Trofimovich
2020-02-24  8:20 Sergei Trofimovich
2020-02-23 12:12 Mikle Kolyada
2020-02-22 20:22 Andreas Sturmlechner
2019-12-02  2:48 Aaron Bauman
2019-05-02 22:02 Mikle Kolyada
2019-03-20 10:31 Fabian Groffen
2019-03-03 10:56 Mikle Kolyada
2019-01-17 20:45 Mikle Kolyada
2018-07-16 19:57 Michał Górny
2018-04-06  5:23 Matt Turner
2018-02-22 15:06 Michał Górny
2017-12-13 22:15 Sergei Trofimovich
2017-12-13 22:15 Sergei Trofimovich
2017-09-24 16:34 Sergei Trofimovich
2017-09-24 16:34 Sergei Trofimovich
2017-07-10 21:47 Sergei Trofimovich
2017-07-10 21:47 Sergei Trofimovich
2017-06-09 18:19 Brian Dolbec
2017-04-18 14:17 Jeroen Roovers
2017-04-05 10:44 Michael Weber
2017-04-05 10:01 Michael Weber
2017-04-05  8:44 Michael Weber
2017-03-31 21:11 Brian Dolbec

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1530497544.51e5d56a7aa25ee9e0065006c25788f705851f16.dolsen@gentoo \
    --to=dolsen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox